Sunday, August 3, 2014

GWT app engine Missing required argument 'module[s]'

If you get this exception while deploying your project into google app engine.

When creating a new Google Web Application project, there are 2 options, Google Web Toolkit and Google App Engine which can be selected. I was selecting both so the project which was being created was a GWT project. So while running it was expecting a gwt module and related configuration file.
The solution was to not select "Google Web Toolkit" when creating a new Google Web Application Project.

To disable Google Web Toolkit for your created project, just do like this: 1. select project, right click, and select "Property" 2. Toggle down "Google", select "Web Toolkit" tab, and uncheck "Use Google Web Toolkit". 3. Delete your project in Run configuration. And run again. You will find it never asks for "modules" anymore.

No comments:

Post a Comment

You can put your comments here (Either feedback or your Question related to blog)